{% extends 'base.html.twig' %}

{% block title %}{{product.name}}{% endblock %}

{% block content %}
<section class="container">

        <h1 class="product_title">{{product.name}}</h1>

        <div class="row">

        <div class="col-6 img_product" style="background-image: url(../ressources/images/{{product.image}})">
        </div>

        <div class="col-6 d-flex flex-column" style="padding-left: 30px">
            <p class="product_description">{{product.description}}</p>
            <p class="product_price">price:{{product.price}}</p>

            {% if app.user %}
            <form method="post" class="quantity_product">
                <input type="number" min="1" name="quantity">
                <button class="btn btn-success">add shopping cart</button>
            </form>
            {% else %}
            <p class="quantity_product">Connexion or registration for acces shopping cart</p>
            {% endif %}

            <div id="product_fonction" class="d-flex" style="margin: 50px">
            {% if is_granted('ROLE_ADMIN') %}
            <a href="{{path('edit_product', {id:product.id})}}" style="margin-right: 30px">
                <i class="fas fa-pencil-alt"></i>
            </a>  
            <a href="{{path('remove_product', {id:product.id})}}">
                <i class="far fa-trash-alt"></i>
            </a>   
            {% endif %}
            </div>
        </div>

        </div>        
 
</section>
{% endblock %}
